Maquina Virtual para desarrollo sobre SharePoint

Inauguramos este blog con un tema que es muy importante para la Secretaria Academica y la U.A.S.L.P. ya que esta es la plataforma oficial de la Universidad; Programacion sobre SharePoint.
Lo primero de lo que hablaremos es, que se necesita para instalar WSS 3.0. Para esto tomaremos los consejos de nuestro amigo y experto en la materia,  Rodrigo Diaz Concha.
  1. Windows 2003 R2 con Service Pack 1
  2. SQL Server 2005 Express
  3. Windows SharePoint Services 3.0 con Service Pack 2
  4. Windows SharePoint Services 3.0 SDK (Abril 2009)
  5. Visual Studio .NET 2008 con Service Pack 1
  6. Extensiones de Visual Studio 2008 para Windows SharePoint Services 3.0 versión 1.3 (Marzo 2009 CTP)
  7. Silverlight 3 SDK
  8. Herramientas de Silverlight 3 para Visual Studio .NET 2008 Service Pack 1
  9. Silverlight 3 Toolkit (Octubre 2009)
  10. Microsoft Expression Blend 3 con SketchFlow Trial
  11. Redgate .NET Reflector
  12. Fiddler 2
  13. Notepad++

Actualización:

1.Puedes utilizar Windows Server 2008 preferentemente de 32 bits, si utilizas 64 bits posiblemente tendrás problemas al tratar de instalar las Extensiones de VS para SP.
2.-Para corregir el Error: WCF returning «The content type text/html of the response message does not match the content type of the binding (application/soap+xml; charset=utf-8)» ir aquí.
3.Para corregir el Error: VSeWSS WCF Service does not have local administrator permissions ir aquí.
4.SharePoint instala automáticamente Sql Server 2005 para crear sus bases de datos.
5.Puedes instalar Windows SharePoint Services 3.0 (WSS 3.0) o Microsoft Office SharePoint Server 2007 (MOSS 2007), siendo MOSS la versión mas completa.
6.No es necesario instalar Silverlight (SDK, Toolkit, Herramientas para VS ni Expression Blend) si no crearás aplicaciones con Silverlight.

Gracias.

Deja una respuesta

Tu dirección de correo electrónico no será publicada.

Límite de tiempo se agote. Por favor, recargar el CAPTCHA por favor.